## core-network 4.8

=== daemon/doc/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# daemon/doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# CORE
# (c)2012 the Boeing Company.
# See the LICENSE file included in this distribution.
#
# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
#
# Builds html and pdf documentation using Sphinx.
#

am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/core
pkgincludedir = $(includedir)/core
pkglibdir = $(libdir)/core
pkglibexecdir = $(libexecdir)/core
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = daemon/doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(srcdir)/conf.py.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = conf.py
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ARCH = amd64
AUTOCONF = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing autoconf
AUTOHEADER = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing autoheader
AUTOMAKE = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing automake-1.13
AWK = gawk
BINDIR = /usr/bin
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -O3 -Werror -Wall -D_GNU_SOURCE
COREDPY_VERSION = 4.8
CORE_CONF_DIR = /etc/core
CORE_DATA_DIR = /usr/share/core
CORE_GUI_CONF_DIR = ${HOME}/.core
CORE_LIB_DIR = /usr/lib/core
CORE_STATE_DIR = /var
CORE_VERSION = 4.8
CORE_VERSION_DATE = 20150605
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GREP = /usr/bin/grep
HELP2MAN = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing help2man
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIB_DIR = /usr/lib
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = core
PACKAGE_BUGREPORT = core-dev@pf.itd.nrl.navy.mil
PACKAGE_NAME = core
PACKAGE_STRING = core 4.8
PACKAGE_TARNAME = core
PACKAGE_URL = 
PACKAGE_VERSION = 4.8
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SBINDIR = /usr/sbin
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 4.8
abs_builddir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/daemon/doc
abs_srcdir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/daemon/doc
abs_top_builddir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk
abs_top_srcdir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = /usr/bin
brctl_path = /usr/sbin
build_alias = 
builddir = .
convert = yes
datadir = ${datarootdir}
datarootdir = /usr/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
ebtables_path = /usr/sbin
enable_daemon = yes
enable_gui = yes
exec_prefix = /usr
gmake = 
help2man = no
host_alias = 
htmldir = ${docdir}
ifconfig_path = /usr/sbin
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/install-sh
ip_path = /usr/sbin
libdir = /usr/lib
libev_CFLAGS = 
libev_LIBS = -lev
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
mount_path = /usr/bin
ngctl_path = no
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/core
pkgpythondir = ${pythondir}/core
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${pyprefix}/lib64/python2.7/site-packages
pyprefix = /usr
pythondir = ${pyprefix}/lib/python2.7/site-packages
sbindir = /usr/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
sysctl_path = /usr/sbin
target_alias = 
tc_path = /usr/sbin
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
umount_path = /usr/bin
vimage_path = no
with_startup = systemd

# extra cruft to remove
DISTCLEANFILES = conf.py Makefile.in stamp-vti *.rst

###### below this line was generated using sphinx-quickstart ######

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS = 
SPHINXBUILD = sphinx-build
PAPER = 
BUILDDIR = _build

# Internal variables.
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign daemon/doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign daemon/doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
conf.py: $(top_builddir)/config.status $(srcdir)/conf.py.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile

=== kernel/core-kernel-2.6.38/Makefile ===
VERSION		:= 2.6.38
TARBALL		:= /usr/src/linux-source-$(VERSION).tar.bz2

SUBVERSION	:= -core
REVISION	:= 1.0

PATCHDIR	:= patches
PATCHES		:= $(sort $(wildcard $(PATCHDIR)/*.patch))

CONFIG		:= config.core

DEPDEBS		:= linux-source kernel-package po-debconf gettext

CONCURRENCY_LEVEL	:= 2

MAINTAINER	?= Tom Goff
EMAIL		?= thomas.goff@boeing.com

MAKEKPKGFLAGS	:= --initrd --rootcmd fakeroot --us --uc	\
    --append-to-version $(SUBVERSION) --revision $(REVISION)

.PHONY: build
build: debcheck defaultconfig patch
	export CONCURRENCY_LEVEL="$(CONCURRENCY_LEVEL)"			\
	    KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	\
	cd linux-source-$(VERSION) &&					\
	    if [ -f ../$(CONFIG) ]; then				\
	        cat ../$(CONFIG) >> .config;				\
	    fi &&							\
	    fakeroot make-kpkg $(MAKEKPKGFLAGS) binary-arch

.PHONY: debcheck
debcheck:
	for d in $(DEPDEBS); do						\
	    if ! dpkg-query -s $$d > /dev/null 2>&1; then		\
		echo ERROR: build dependency not installed: $$d >&2;	\
		exit 1;							\
	    fi;								\
	done

.PHONY: defaultconfig
defaultconfig: linux-source-$(VERSION)
	export KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	   \
	cd linux-source-$(VERSION) && make-kpkg $(MAKEKPKGFLAGS) configure

.PHONY: patch
patch: linux-source-$(VERSION) patch-stamp
patch-stamp: $(PATCHES)
	for p in $^; do							\
	    if ! patch -d linux-source-$(VERSION) -p1 < $$p; then	\
		echo ERROR: applying patch failed: $$p >&2;		\
		exit 1;							\
	    fi;								\
	done
	touch patch-stamp

linux-source-$(VERSION): $(TARBALL)
	tar -xjf $^

.PHONY: clean
clean:
	rm -rf linux-source-$(VERSION) patch-stamp

=== kernel/core-kernel-3.0/Makefile ===
VERSION		:= 3.0.0
TARBALL		:= /usr/src/linux-source-$(VERSION).tar.bz2

SUBVERSION	:= -core
REVISION	:= 1.0

PATCHDIR	:= patches
PATCHES		:= $(sort $(wildcard $(PATCHDIR)/*.patch))

CONFIG		:= config.core

DEPDEBS		:= linux-source kernel-package po-debconf gettext

CONCURRENCY_LEVEL	:= 8

MAINTAINER	?= Tom Goff
EMAIL		?= thomas.goff@boeing.com

MAKEKPKGFLAGS	:= --initrd --rootcmd fakeroot --us --uc	\
    --append-to-version $(SUBVERSION) --revision $(REVISION)

.PHONY: build
build: debcheck defaultconfig patch
	export CONCURRENCY_LEVEL="$(CONCURRENCY_LEVEL)"			\
	    KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	\
	cd linux-source-$(VERSION) &&					\
	    if [ -f ../$(CONFIG) ]; then				\
	        cat ../$(CONFIG) >> .config;				\
	    fi &&							\
	    fakeroot make-kpkg $(MAKEKPKGFLAGS) binary-arch

.PHONY: debcheck
debcheck:
	for d in $(DEPDEBS); do						\
	    if ! dpkg-query -s $$d > /dev/null 2>&1; then		\
		echo ERROR: build dependency not installed: $$d >&2;	\
		exit 1;							\
	    fi;								\
	done

.PHONY: defaultconfig
defaultconfig: linux-source-$(VERSION)
	export KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	   \
	cd linux-source-$(VERSION) && make-kpkg $(MAKEKPKGFLAGS) configure

.PHONY: patch
patch: linux-source-$(VERSION) patch-stamp
patch-stamp: $(PATCHES)
	for p in $^; do							\
	    if ! patch -d linux-source-$(VERSION) -p1 < $$p; then	\
		echo ERROR: applying patch failed: $$p >&2;		\
		exit 1;							\
	    fi;								\
	done
	touch patch-stamp

linux-source-$(VERSION): $(TARBALL)
	tar -xjf $^

.PHONY: clean
clean:
	rm -rf linux-source-$(VERSION) patch-stamp

=== kernel/core-kernel-3.5/Makefile ===
VERSION		:= $(shell dpkg -l linux-source 2> /dev/null | \
	awk '/^i/ {match($$3, "[0-9]+[.][0-9]+[.][0-9]+"); if (RSTART) print substr($$3, RSTART, RLENGTH)}')
TARBALL		:= /usr/src/linux-source-$(VERSION).tar.bz2

SUBVERSION	:= -core
REVISION	:= 1.0

PATCHDIR	:= patches
PATCHES		:= $(sort $(wildcard $(PATCHDIR)/*.patch))

CONFIG		:= config.core

DEPDEBS		:= linux-source kernel-package po-debconf gettext

CONCURRENCY_LEVEL	:= $(shell lscpu 2> /dev/null | \
	awk '/^CPU\(s\)/ {print $$2}')
ifeq ($(strip $(CONCURRENCY_LEVEL)),)
CONCURRENCY_LEVEL	:= 1
endif

MAINTAINER	?= $(shell id -nu)
EMAIL		?= $(MAINTAINER)@$(shell hostname -f)

MAKEKPKGFLAGS	:= --initrd --rootcmd fakeroot --us --uc	\
    --append-to-version $(SUBVERSION) --revision $(REVISION)

.PHONY: build
build: debcheck defaultconfig patch
	export CONCURRENCY_LEVEL="$(CONCURRENCY_LEVEL)"			\
	    KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	\
	cd linux-source-$(VERSION) &&					\
	    if [ -f ../$(CONFIG) ]; then				\
	        cat ../$(CONFIG) >> .config;				\
	    fi &&							\
	    fakeroot make-kpkg $(MAKEKPKGFLAGS) binary-arch

.PHONY: debcheck
debcheck:
	for d in $(DEPDEBS); do						\
	    if ! dpkg-query -s $$d > /dev/null 2>&1; then		\
		echo ERROR: build dependency not installed: $$d >&2;	\
		exit 1;							\
	    fi;								\
	done

.PHONY: defaultconfig
defaultconfig: linux-source-$(VERSION)
	export KPKG_MAINTAINER="$(MAINTAINER)" KPKG_EMAIL="$(EMAIL)";	   \
	cd linux-source-$(VERSION) && make-kpkg $(MAKEKPKGFLAGS) configure

.PHONY: patch
patch: linux-source-$(VERSION) patch-stamp
patch-stamp: $(PATCHES)
	for p in $^; do							\
	    if ! patch -d linux-source-$(VERSION) -p1 < $$p; then	\
		echo ERROR: applying patch failed: $$p >&2;		\
		exit 1;							\
	    fi;								\
	done
	touch patch-stamp

.PHONY: source
source: linux-source-$(VERSION)

linux-source-$(VERSION): $(TARBALL)
	tar -xjf $^

.PHONY: clean
clean:
	rm -rf linux-source-$(VERSION) patch-stamp

=== scripts/xen/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# scripts/xen/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# CORE
# (c)2012 the Boeing Company.
# See the LICENSE file included in this distribution.
#
# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
#
# Makefile for installing Xen scripts.
#

am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/core
pkgincludedir = $(includedir)/core
pkglibdir = $(libdir)/core
pkglibexecdir = $(libexecdir)/core
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = scripts/xen
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ARCH = amd64
AUTOCONF = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing autoconf
AUTOHEADER = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing autoheader
AUTOMAKE = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing automake-1.13
AWK = gawk
BINDIR = /usr/bin
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -O3 -Werror -Wall -D_GNU_SOURCE
COREDPY_VERSION = 4.8
CORE_CONF_DIR = /etc/core
CORE_DATA_DIR = /usr/share/core
CORE_GUI_CONF_DIR = ${HOME}/.core
CORE_LIB_DIR = /usr/lib/core
CORE_STATE_DIR = /var
CORE_VERSION = 4.8
CORE_VERSION_DATE = 20150605
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GREP = /usr/bin/grep
HELP2MAN = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing help2man
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIB_DIR = /usr/lib
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = core
PACKAGE_BUGREPORT = core-dev@pf.itd.nrl.navy.mil
PACKAGE_NAME = core
PACKAGE_STRING = core 4.8
PACKAGE_TARNAME = core
PACKAGE_URL = 
PACKAGE_VERSION = 4.8
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SBINDIR = /usr/sbin
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 4.8
abs_builddir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/scripts/xen
abs_srcdir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/scripts/xen
abs_top_builddir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk
abs_top_srcdir = /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = /usr/bin
brctl_path = /usr/sbin
build_alias = 
builddir = .
convert = yes
datadir = ${datarootdir}
datarootdir = /usr/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
ebtables_path = /usr/sbin
enable_daemon = yes
enable_gui = yes
exec_prefix = /usr
gmake = 
help2man = no
host_alias = 
htmldir = ${docdir}
ifconfig_path = /usr/sbin
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/tgoff/work/core/repos/pf.itd.nrl.navy.mil/tmp/core/trunk/config/install-sh
ip_path = /usr/sbin
libdir = /usr/lib
libev_CFLAGS = 
libev_LIBS = -lev
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
mount_path = /usr/bin
ngctl_path = no
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/core
pkgpythondir = ${pythondir}/core
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${pyprefix}/lib64/python2.7/site-packages
pyprefix = /usr
pythondir = ${pyprefix}/lib/python2.7/site-packages
sbindir = /usr/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
sysctl_path = /usr/sbin
target_alias = 
tc_path = /usr/sbin
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
umount_path = /usr/bin
vimage_path = no
with_startup = systemd
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign scripts/xen/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign scripts/xen/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

=== kernel/freebsd/vimage/Makefile ===
# $FreeBSD$

PROG=	vimage
LDADD=	-ljail
DPADD=	${LIBJAIL}

WARNS?=	2
CFLAGS+= -I../../../sys

MAN=	vimage.8

BINDIR?=	/usr/sbin

.include <bsd.prog.mk>

=== debian/changelog ===
core-network (4.8-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #849486)
  * debian/control: little improvement in long description.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Dec 2016 17:32:12 -0200

core-network (4.8-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Added  lsb-base to Depends field in core-network-daemon.
      - Bumped Standards-Version to 3.9.8.
      - Changed from python to ${python:Depends} in Depends field in
        core-network-daemon.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Added an extra download source.
      - Added the Upstream-Contact field.
      - Grouped all blocks with BSD-2-Clause license.
      - Updated the packaging copyright years.
  * debian/core-network-gui.menu: removed in compliance with CTTE #741573.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/patches/fix-bashisms: renamed to 10_fix-bashisms.patch.
  * debian/rules:removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address. (Closes: #795220)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 21:10:20 -0200

core-network (4.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Updated the upstream copyright years.
      - Updated the LGPL-2.1 license text.
  * debian/patches/:
      - fix-bashisms: added to fix some bashisms. Thanks to
        Raphael Geissert <atomo64@gmail.com> (Closes: #772214)
      - widget.tcl: removed. The upstream fixed the source code.
  * debian/README.Debian: added new useful information.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 20 Jun 2015 19:12:46 -0300

core-network (4.7-4) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable!
  * Using dh-autoreconf.
  * debian/copyright: updated and fixed the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 29 Apr 2015 13:37:23 -0300

core-network (4.7-3) experimental; urgency=medium

  * New upstream email address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Nov 2014 20:37:30 -0200

=== debian/control ===
Source: core-network
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bridge-utils,
               debhelper (>= 10),
               dh-autoreconf,
               dh-python,
               ebtables,
               gcc (>= 4.8.1-2~),
               help2man,
               imagemagick,
               iproute2 | iproute,
               libev-dev,
               net-tools | freebsd-net-tools,
               pkg-config,
               procps,
               python-dev
Standards-Version: 3.9.8
Homepage: http://www.nrl.navy.mil/itd/ncs/products/core
Vcs-Git: https://anonscm.debian.org/git/collab-maint/core-network.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/core-network.git

Package: core-network
Architecture: all
Depends: core-network-daemon, core-network-gui, ${misc:Depends}
Suggests: tcpdump
Description: intuitive network emulator that interacts with real nets (metapackage)
 The Common Open Research Emulator (CORE) is a tool for emulating
 networks in one or more machines. You can connect these emulated
 networks to live networks.
 .
 CORE consists of a GUI for drawing topologies of lightweight virtual
 machines, and Python modules for scripting network emulation.
 .
 Key features:
 .
   1. Network lab in a box
        - Efficient and scalable
        - Easy-to-use GUI canvas
        - Centralized configuration and control
   2. Runs applications and protocols without modifying them
   3. Real-time connection to live networks
        - Hardware-in-the-loop
        - Distributed with multiple COREs
   4. Highly customizable
   5. The emulated machines can use several resources and programs
      installed on the real machine, as tcpdump.
 .
 Outside Debian, CORE is also known as coreemu.
 .
 This is a metapackage depending on the packages for the CORE daemon and GUI.

Package: core-network-daemon
Architecture: any
Depends: bridge-utils,
         ebtables,
         iproute2 | iproute,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: quagga
Suggests: core-network-gui
Description: intuitive network emulator that interacts with real nets (daemon)
 The Common Open Research Emulator (CORE) is a tool for emulating
 networks in one or more machines. You can connect these emulated
 networks to live networks.
 .
 CORE consists of a GUI for drawing topologies of lightweight virtual
 machines, and Python modules for scripting network emulation.
 .
 Key features:
 .
   1. Network lab in a box:
        - Efficient and scalable.
        - Easy-to-use GUI canvas.
        - Centralized configuration and control.
   2. Runs applications and protocols without modifying them.
   3. Real-time connection to live networks:
        - Hardware-in-the-loop.
        - Distributed with multiple COREs.
   4. Highly customizable.
   5. The emulated machines can use several resources and programs
      installed on the real machine, as tcpdump.
 .
 This package provides the daemon that makes the emulated
 network available for one or several environments.

Package: core-network-gui
Architecture: all
Depends: libtk-img, tk8.5, ${misc:Depends}
Recommends: tcpdump
Suggests: core-network-daemon, tshark, wireshark
Description: intuitive network emulator that interacts with real nets (GUI)
 The Common Open Research Emulator (CORE) is a tool for emulating
 networks in one or more machines. You can connect these emulated
 networks to live networks.
 .
 CORE consists of a GUI for drawing topologies of lightweight virtual
 machines, and Python modules for scripting network emulation.
 .
 Key features:
 .
   1. Network lab in a box
        - Efficient and scalable
        - Easy-to-use GUI canvas
        - Centralized configuration and control
   2. Runs applications and protocols without modifying them
   3. Real-time connection to live networks
        - Hardware-in-the-loop
        - Distributed with multiple COREs
   4. Highly customizable
   5. The emulated machines can use several resources and programs
      installed on the real machine, as tcpdump.
 .
 This package provides the CORE GUI.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@ --with autoreconf,python2

override_dh_autoreconf:
	dh_autoreconf ./bootstrap.sh

override_dh_installinit:
	dh_installinit -p core-network-daemon -o core-daemon --name=core-daemon

override_dh_compress:
	dh_compress -X.py -Xsample

=== debian/watch ===
version=4
https://github.com/coreemu/core/releases .*/archive/release-(\d\S+)\.tar\.(?:bz2|gz|xz)
